# View

Defines table views with conditions and column configurations

| Name       | Type                                                    | Description                                             |
| ---------- | ------------------------------------------------------- | ------------------------------------------------------- |
| columns    | String                                                  | Comma-separated list of column names                    |
| conditions | String                                                  | YAML-formatted conditions                               |
| fields     | List ([Field](/developer/api-reference/types/field.md)) |                                                         |
| id         | ID                                                      | Unique identifier for the view                          |
| isDefault  | Boolean                                                 | True if this view is to be shown by default on the page |
| name       | String                                                  | Name of the view                                        |
| obj        | String                                                  | Object this view is operating on                        |
| sortBy     | String                                                  | Field the table is sorted by                            |
| sortOrder  | String                                                  | Sort order of the table                                 |
| userId     | ID                                                      | ID of the user who created the view                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
